<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><HTML><HEAD><TITLE>80386 Programmer's Reference Manual -- Opcode HLT</TITLE> </HEAD><BODY><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="ENTER.htm"> ENTER Make Stack Frame for Procedure Parameters</A><BR><B>next:</B><A HREF="IDIV.htm"> IDIV Signed Divide</A><P><HR><P><H1>HLT -- Halt</H1><PRE>
Opcode      Instruction        Clocks     Description

F4          HLT                5          Halt
</PRE><H2>Operation</H2>Enter Halt state;<H2>Description</H2>HALT stops instruction execution and places the 80386 in a HALT state. An enabled interrupt, NMI, or a reset will resume execution. If an interrupt (including NMI) is used to resume execution after HLT, the saved CS:IP (or CS:EIP) value points to the instruction following HLT.<H2>Flags Affected</H2>None<H2>Protected Mode Exceptions</H2>HLT is a privileged instruction; #GP(0) if the current privilege level is not 0<H2>Real Address Mode Exceptions</H2>None<H2>Virtual 8086 Mode Exceptions</H2>#GP(0); HLT is a privileged instruction<P><HR><P><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="ENTER.htm"> ENTER Make Stack Frame for Procedure Parameters</A><BR><B>next:</B><A HREF="IDIV.htm"> IDIV Signed Divide</A> </BODY>